Tareas #6077

Actualizar la versión OwnCloud de oort

Added by Sebastián Sasías about 1 year ago. Updated about 1 year ago.

Status:ResueltaStart date:11/16/2018
Priority:NormalDue date:
Assignee:Sebastián Sasías% Done:

80%

Category:-Spent time:-
Target version:-

Description

Desde hace varios días, desde los clientes owncloud se muestra una alerta de que la versión del servidor ya no es compatible y que es potencialmente peligroso. Si le decimos que queremos continuar funciona, pero quizás en las proximas actualizaciones ya no.

Hay que programar la actualización


Related issues

Related to Servicios de nube - Tareas #5652: Actualización de cloud.csic Resuelta 04/17/2017
Related to Servicios de nube - Tareas #5653: Actualizar nube.cci Resuelta 04/17/2017
Related to Servicios de nube - Tareas #5505: Actualización de nube.interior.edu.uy Resuelta 11/07/2016

History

#1 Updated by Daniel Viñar Ulriksen about 1 year ago

  • Related to Tareas #5652: Actualización de cloud.csic added

#2 Updated by Daniel Viñar Ulriksen about 1 year ago

#3 Updated by Daniel Viñar Ulriksen about 1 year ago

  • Related to Tareas #5505: Actualización de nube.interior.edu.uy added

#4 Updated by Daniel Viñar Ulriksen about 1 year ago

  • Status changed from Nueva to En curso
  • Assignee changed from CSIC - Informática y redes to Daniel Viñar Ulriksen

Empiezo por referenciar otras tareas de actualización de Owncloud o nextcloud. El servidor Oort está en debian 8, conviene también actualizar a la 9.

#5 Updated by Daniel Viñar Ulriksen about 1 year ago

  • % Done changed from 0 to 60
Actualicé todo en Oort de la manera siguiente:
  • puse el ownvcloud en mantenimiento, y lancé desde Dalembert un respaldo completo del mismo. (lo cual demoró más de lo imaginado)
  • procedí a la actualización de la debian a la stretch, según procedimiento de las estandar de las release notes.
  • OjO: queda php5.6 configurado como paquete obsoleto, pero es oportuno pasar a php 7, que es la estandar de la debian 9,
  • desinstalé el libmodapache2-php5.6, luego lanzar la reconf (dpkg-reconfigure) del libmodapache2 para php7, y también fue necesario reproducir toda la conf en php: los módulos, en particular: intl y la memcache apcu.
  • seguí la actualización del owncloud, como estabamos a priori en 9.0.5, procedí primero a actualizar a la 9.1.8, y de ahí a la 10.0.10
  • los problemas de módulos php se plantearon en la segunda fase. OjO de verificar la compatibilidad php de la 9.1.8: siempre hay que actualizar primero, lo suficiente pero no demasiado (que no se rompa), la capa de arriba, para luego actualizar la capa de abajo.

#6 Updated by Daniel Viñar Ulriksen about 1 year ago

También fue necesario retomar los parámetros del /etc/php/7.0/apache2/php.ini, en particular puse las subidas a un max de 1Gb.

Pensaba aprovechar para redefinir la resolución de nube.csic.edu.uy, que aún está dirigida a nobel, pero pensándolo, tenemos que medir las consecuencias: es mejor verificar primero que no hay ningún cliente configurado para sincronizar alguna carpeta que se siga utilizando.

#7 Updated by Daniel Viñar Ulriksen about 1 year ago

  • Status changed from En curso to Resuelta
  • Assignee changed from Daniel Viñar Ulriksen to Sebastián Sasías
  • % Done changed from 60 to 80

Also available in: Atom PDF